summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMorgan Richomme <morgan.richomme@orange.com>2016-11-18 07:20:43 +0000
committerGerrit Code Review <gerrit@opnfv.org>2016-11-18 07:20:43 +0000
commit5adc0df39c58ad2f44aa538c906fdc2fafff2450 (patch)
tree4eea199e8508a9e3863863f8baa677ba02a42879
parent7fdcc01c163f1527b578d1793889dc2eed5ec78e (diff)
parentc518c53072d82fe2e5baa1e403cadabd2e029d32 (diff)
Merge "Make the healthcheck sleep time configurable" into stable/colorado
-rw-r--r--ci/config_functest.yaml1
-rwxr-xr-xtestcases/OpenStack/healthcheck/healthcheck.sh3
2 files changed, 3 insertions, 1 deletions
diff --git a/ci/config_functest.yaml b/ci/config_functest.yaml
index d6497678a..fe2a2d6fe 100644
--- a/ci/config_functest.yaml
+++ b/ci/config_functest.yaml
@@ -56,6 +56,7 @@ general:
healthcheck:
disk_image: /home/opnfv/functest/data/cirros-0.3.4-x86_64-disk.img
disk_format: qcow2
+ wait_time: 60
vping:
ping_timeout: 200
diff --git a/testcases/OpenStack/healthcheck/healthcheck.sh b/testcases/OpenStack/healthcheck/healthcheck.sh
index 996aadcf7..e27cf4b4b 100755
--- a/testcases/OpenStack/healthcheck/healthcheck.sh
+++ b/testcases/OpenStack/healthcheck/healthcheck.sh
@@ -223,7 +223,8 @@ info "Testing Nova API..."
# This delay should be removed after resolving Jira case APEX-149.
# The purpose is to give some time to populate openflow rules
# by SDN controller in case of odl_l2 scenario.
-sleep 60
+wait_time=$(cat ${YAML_FILE} | shyaml get-value healthcheck.wait_time 2> /dev/null || true)
+sleep ${wait_time}
# Check if flavor exists